Subject: Re: bug#25056: 25.1; alpha.gnu.org/gnu/emacs/pretest/ not available over HTTPS although alpha.gnu.org has HSTS enabled

From: Nicolas Petton <[email-masked]>
Date: Tue, 29 Nov 2016 10:17:37 +0100

Zhiming Wang <[email-masked]> writes:

Hi Zhiming,

> alpha.gnu.org/gnu/emacs/pretest/ is available over HTTP but not HTTPS
> (404). Furthermore, alpha.gnu.org has HSTS enabled:
>
>     $ wget -qS --spider https://alpha.gnu.org
>       HTTP/1.1 200 OK
>       Date: Tue, 29 Nov 2016 03:35:01 GMT
>       Server: Apache/2.4.7 (Trisquel_GNU/Linux)
>       Strict-Transport-Security: max-age=63072000
>       Keep-Alive: timeout=5, max=100
>       Connection: Keep-Alive
>       Content-Type: text/html;charset=UTF-8
>
> which makes it hard to download pretest releases with user agents that
> enforce HSTS (e.g. recent versions of Wget without --no-hsts).

Thank you for reporting this issue.

It is not an issue with Emacs itself, but rather with the alpha.gnu.org
server access over HTTPS.

It appears that

  https://alpha.gnu.org/gnu/emacs/

does not point to the pretest directory of Emacs, but rather to

  https://ftp.gnu.org/gnu/emacs/

I'm not sure who I should forward this email to, but I'm putting
<[email-masked]> in the Cc.

Cheers,
Nico